Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1741189 - mod_security support for JSON in RHEL 7
Summary: mod_security support for JSON in RHEL 7
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mod_security
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik
QA Contact: RHEL Stacks Subsystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 13:23 UTC by Leticia Konno
Modified: 2020-04-24 14:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 14:45:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Leticia Konno 2019-08-14 13:23:14 UTC
Description of problem:

RHEL 7 mod_security does not support JSON auditlog

Version-Release number of selected component (if applicable):

Apache httpd 2.4.6
Mod_Security: 2.9.2-1.el7.ppc64le

How reproducible:


Steps to Reproduce:
1. add SecAuditLogFormat JSON to modsecurity.conf

Actual results:

"Invalid command 'SecAuditLogFormat', perhaps misspelled or defined by a module not included in the server configuration".

Expected results:


Additional info:

Comment 4 Joe Orton 2020-01-17 14:45:52 UTC
This feature is present in RHEL 8 mod_security as well as mod_security packaged in the httpd24 collection for RHSCL on RHEL7.

We have no plans to add this feature to the base-RHEL7 mod_security.


Note You need to log in before you can comment on or make changes to this bug.